#initclip 2

OutputScreenClass = function(){
	super();
}

OutputScreenClass.prototype = new BaseScreenClass();

//ASBroadcaster.initialize(OutputScreenClass.prototype);

OutputScreenClass.prototype.init = function()
{

	this.outputField.multiline = true;
	this.outputField.wordwrap = true;
	this.outputField.type = "Dynamic";

	this.tf = new TextFormat();

	//change to verdana
	this.tf.font = "Trebuchet MS";

	this.setTF();

	this.clear_btn.setClickHandler("onClear", this);
}

OutputScreenClass.prototype.setEnabled = function(enabled)
{
}

OutputScreenClass.prototype.setSize = function(w,h)
{
	var margin = this.titleBar._x;
	this.titleBar._width = w - margin;
	this.titleBar._x = margin;
	this.titleBar._y = margin;

	this.outputField.setSize(w - margin, (h - this.outputField._y) - (margin * 2) - clear_btn._height);

	this.clear_btn._x = w - this.clear_btn._width;
	this.clear_btn._y = h - margin;

	this.filter._x = margin;
	this.filter._y = h - margin;
}

OutputScreenClass.prototype.trace = function(input, filter)
{

	if(this.filter.isSet())
	{
		if(this.filter.getFilter() != filter)
		{
			return;
		}
	}

	var data = (input.toString("    "));


	this.outputField.text += data + "\n";
	this.setTF();
	this.outputField.scroll = this.outputField.maxscroll;

}

OutputScreenClass.prototype.setTF = function()
{
	this.outputField.setTextFormat(this.tf);
}

OutputScreenClass.prototype.onClear = function(enabled)
{
	this.outputField.htmlText = "";
}

Object.registerClass("OutputScreenSymbol", OutputScreenClass);

#endinitclip